Support » Plugins and Hacks » Hacks » Help: Update existing plugin for Twitter 1.1 API

  • Hi

    I have been developing a WordPress site for someone which uses a the plugin Social Media Mashup which intergrates many social media RSS feeds into one.

    Anyway, the site I was working on has been approved and needs to go live this weekend but Twitter updated its API a few nights ago and now the Twitter feed on said plugin no longer works which has left me in a right mess.

    I can’t get through to the developers and fixing it myself is way out of my virtually non-existent coding experience.

    Does anyone want to help?!!

    Thanks
    Chris

Viewing 2 replies - 1 through 2 (of 2 total)
  • This is untested, but try editing the main plugin file: social-media-mashup.php

    On line 169, change this:

    $feed_url = 'http://api.twitter.com/1/statuses/user_timeline.rss?user_id=' . smm_option( 'twitter' );

    To this:

    $feed_url = 'https://api.twitter.com/1/statuses/user_timeline.rss?screen_name=' . smm_option( 'twitter' );

    The new URL structure was found here: https://dev.twitter.com/docs/faq#11716

    Did this work mossyboy? I’m having a similar issue, and have found that RSS has been retired, along with Version 1 of the Twitter API.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Help: Update existing plugin for Twitter 1.1 API’ is closed to new replies.